Updates custom data
curl --request PATCH \
--url https://ulm-stg.m1amdocs.io/customData/v1/user/{userId} \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '{}'import requests
url = "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}"
payload = {}
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Updates custom data
Updates custom data associated to a user
PATCH
/
v1
/
user
/
{userId}
Updates custom data
curl --request PATCH \
--url https://ulm-stg.m1amdocs.io/customData/v1/user/{userId} \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '{}'import requests
url = "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}"
payload = {}
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
cookieAuthOIDC
Path Parameters
The id of the user or "me".
Body
application/json
Custom Data that service providers can create and associate to entities to extend the platform. Custom data property names must be whitelisted before they can be used.
Response
NO CONTENT

